// 3 / 22 / 04 Forrest Brigggs
// stores the texture coordinate of a vertex.

#ifndef ctexturecoord_h
#define ctexturecoord_h

#include "OGLPlatformSpecific.h"

class cTextureCoord
{
public:
    cTextureCoord(): u_(0), v_(0) {}
    cTextureCoord(float u, float v) : u_(u), v_(v) {}
    cTextureCoord(const cTextureCoord& toCopy) : u_(toCopy.u_), v_(toCopy.v_) {}
    
    void setGLCoord() { glTexCoord2f(u_, v_); }
    
    float u_, v_;
};

#endif